/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
module.exports = {
    consolidatedList: [
        "age",
        "datetimeV2",
        "dimension",
        "email",
        "geographyV2",
        "keyPhrase",
        "money",
        "number",
        "ordinal",
        "ordinalV2",
        "percentage",
        "personName",
        "phonenumber",
        "temperature",
        "url",
        "datetime"
    ],
    perLocaleAvailability: {
        "de-de": {
            "datetime": "datetimeV2",
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null
        },
        "zh-cn": {
            "datetime": "datetimeV2",
            "keyPhrase": null,
            "geographyV2": null,
            "ordinalV2": null
        },
        "en-us": {
            "datetime": "datetimeV2"
        },
        "fr-fr": {
            "datetime": "datetimeV2",
            "geographyV2": null,
            "ordinalV2": null,
            "personName": null
        },
        "fr-ca": {
            "datetime": "datetimeV2",
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null,
            "personName": null
        },
        "es-es": {
            "datetime": "datetimeV2",
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null
        },
        "es-mx": {
            "datetimeV2": "datetime",
            "geographyV2": null,
            "ordinalV2": null,
            "personName": null
        },
        "it-it": {
            "datetimeV2": "datetime",
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null
        },
        "ja-jp": {
            "datetimeV2": "datetime",
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null
        },
        "pt-br": {
            "datetime": "datetimeV2",
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null
        },
        "ko-kr": {
            "datetimeV2": null,
            "age": null,
            "dimension": null,
            "money": null,
            "number": null,
            "ordinal": null,
            "percentage": null,
            "temperature": null,
            "datetime": null,
            "geographyV2": null,
            "personName": null,
            "ordinalV2": null
        },
        "nl-nl": {
            "geographyV2": null,
            "personName": null,
            "datetimeV2": null,
            "datetime": null,
            "ordinalV2": null
        },
        "tr-tr": {
            "age": null,
            "datetimeV2": null,
            "dimension": null,
            "email": null,
            "geographyV2": null,
            "keyPhrase": null,
            "money": null,
            "number": null,
            "ordinal": null,
            "ordinalV2": null,
            "percentage": null,
            "personName": null,
            "phonenumber": null,
            "temperature": null,
            "url": null,
            "datetime": null
        }
    }
};